package com.qs.mp.admin.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.common.enums.GoodsStatusEnum;

import lombok.Data;

/**
 * @describe 商品库实体类
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 */
@Data
public class GoodsListVO {

  /**
   * 主键
   */
  private Long goodsId;

  /**
   * 商品标题
   */
  private String title;

  /**
   * 商品类目ID
   */
  private Long categoryId;

  /**
   * 商品图片
   */
  private String picUrl;

  /**
   * 原兑换价格
   */
  private Integer originPrice;

  /**
   * 现兑换价格
   */
  private Integer exchangePrice;

  /**
   * 商品价值
   */
  private Integer value;

  /**
   * 库存数量
   */
  private Integer quantity;

  /**
   * 已兑换量
   */
  private Integer exchangedQty;

  /**
   * 上架状态;上架/下架
   */
  @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
  private GoodsStatusEnum status;

}
