package com.qs.mp.admin.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.admin.domain.GoodsSku;
import com.qs.mp.common.enums.GoodsStatusEnum;

import java.util.Date;
import java.util.List;

import lombok.Data;

/**
 * @describe 商品库实体类
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 */
@Data
public class GoodsVO {

	/**
	 * 规格列表
	 */
	private List<GoodsSku> skuList;

	private Long goodsId;
	/**
	 * 商品标题
	 */
	private String title;

	/**
	 * 商品类目ID
	 */
	private Long categoryId;

	/**
	 * 商品图片
	 */
	private String picUrl;

	/**
	 * 详情
	 */
	private String description;

	/**
	 * 原兑换价格
	 */
	private Integer originPrice;

	/**
	 * 现兑换价格
	 */
	private Integer exchangePrice;

	/**
	 * 商品价值
	 */
	private Integer value;

	/**
	 * 商品成本
	 */
	private Integer cost;

	/**
	 * 库存数量
	 */
	private Integer quantity;

	/**
	 * 已兑换量
	 */
	private Integer exchangedQty;

	/**
	 * 兑换大厅是否展示，0不展示，1展示
	 */
	private Integer exchangeShow;

	/**
	 * 是否多sku，0否，1是
	 */
	private Integer multiSku;

	/**
	 * 上架状态;上架/下架
	 */
	 @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
	private GoodsStatusEnum status;

	/**
	 * 逻辑删除标识
	 */
	private Integer isDeleted;

	/**
	 * 创建时间
	 */
	private Date createdTime;

	/**
	 * 更新时间
	 */
	private Date updatedTime;
}
