package com.qs.mp.user.service;

import com.qs.mp.common.enums.UserCouponStatusEnum;
import com.qs.mp.user.domain.UserCoupon;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.user.domain.vo.UserCouponVO;
import java.util.List;

/**
 * <p>
 * 用户的优惠券 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface IUserCouponService extends IService<UserCoupon> {

  /**
   * 查询用户当前可用于盲票购买的优惠券，按优惠大小排序
   * @param userId
   * @return
   */
  List<UserCouponVO> listTicketOrderCoupon(Long userId);

  /**
   * 根据用户优惠券ID列表查询
   * @param userCouponIds
   * @return
   */
  List<UserCouponVO> listTicketOrderCouponByIds(List<String> userCouponIds);

  /**
   * 查询用户当前可用于盲票购买的优惠券，按优惠大小排序
   * @param userId
   * @return
   */
  List<UserCouponVO> listCoupon(Long userId, UserCouponStatusEnum status);
}
